val applet = false

lazy val commonSettings = Seq(
  organization := "Uni Innsbruck",
  scalaVersion := "2.11.0",
  scalacOptions := Seq("-feature", "-deprecation", "-unchecked")
)

// dependencies
val xml = "org.scala-lang.modules" %% "scala-xml" % "1.0.5"
val parser = "org.scala-lang.modules" %% "scala-parser-combinators" % "1.0.4"
val swing = "org.scala-lang.modules" %% "scala-swing" % "1.0.1"

lazy val kbcv = (project in file("."))
  .dependsOn(termlib)
  .aggregate(termlib)
  .settings(commonSettings: _*)
  .settings(
    name := "kbcv",
    version := "2.1.0.5",
    scalaSource in Compile := baseDirectory.value / "src/main/scala",
    fork in run := true,
    connectInput in run := true,
    sourcesInBase := false,
    mainClass in (Compile, packageBin) := 
          (if (applet) Some("kbcv.model.MainApplet")
          else Some("kbcv.model.MainApplication")),
    mainClass in assembly := 
          (if (applet) Some("kbcv.model.MainApplet")
          else Some("kbcv.model.MainApplication")),
    assemblyJarName in assembly := 
          (if (applet) s"${name.value}-applet-${version.value}.jar" 
          else s"${name.value}-${version.value}.jar"),
    libraryDependencies ++= Seq(swing, xml, parser)
  )

lazy val termlib = (project in file("termlib"))
  .settings(commonSettings: _*)
  .settings(
    name := "termlib",
    version := "2.0.0.4",
    assemblyJarName in assembly := s"${name.value}-${version.value}.jar",
    assemblyOption in assembly := (assemblyOption in assembly).value.copy(
      includeScala = false,
      includeDependency = false
    ),
    libraryDependencies ++= Seq(xml, parser)
  )
